﻿<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel3" class="text-left">Choose your action</h3>
</div>
<div class="modal-body text-center">
    <span class="modal-item pull-left">
        <span class="modal-img">
            <a href="#" id="editEvent">
                <img src="/images/edit-event.png" alt="editEvent" />
            </a>
        </span>
        <span>Edit</span>
    </span>
    @if (ViewBag.EventStatus != EventStatusCategories.frozen)
    {
        <span class="modal-item pull-left">
            <span class="modal-img">
                <a href="#" id="freezeEvenet">
                    <img src="/images/freeze-event.png" alt="freezeEvent" />
                </a></span>
            <span>Freeze</span>
        </span>
    }
    else
    {
        <span class="modal-item pull-left">
            <span class="modal-img">
                <a href="#" id="unFreezeEvenet">
                    <img src="/images/unfreeze-event.png" alt="unfreezeEvent" />
                </a></span>
            <span>Unfreeze</span>
        </span>
    }
    <span class="modal-item pull-left">
        <span class="modal-img">
            <a href="#" id="deleteEvenet">
                <img src="/images/delete-event.png" alt="deleteEvent" />
            </a></span>
        <span>Delete</span>
    </span>
</div>
<div class="modal-footer text-right">
    <button class="btn btn-grey" data-dismiss="modal">close</button>
</div>

<script type="text/javascript">

    //$(document).ready(function () {

    $("#editEvent").click(function (e) {
        e.preventDefault();
        var url = "@Html.Raw(Url.Action("Edit", "SubDomain", new { subDomainCategory = ViewBag.SubDomain, clubDomain = ViewBag.ClubDomain, domain = ViewBag.Domain, categoryId = ViewBag.CategoryId }))";
            CallPopUp(url, "", "events-form");
        });
        $("#freezeEvenet").click(function (e) {
            e.preventDefault();
            var url = "@Html.Raw(Url.Action("Freeze", "SubDomain", new { subDomainCategory = ViewBag.SubDomain, clubDomain = ViewBag.ClubDomain, domain = ViewBag.Domain, categoryId = ViewBag.CategoryId }))";

            CallPopUp(url, "", "events-form");
        });
        $("#unFreezeEvenet").click(function (e) {
            e.preventDefault();
            var url = "@Html.Raw(Url.Action("Unfreeze", "SubDomain", new { subDomainCategory = ViewBag.SubDomain, clubDomain = ViewBag.ClubDomain, domain = ViewBag.Domain, categoryId = ViewBag.CategoryId }))";

            CallPopUp(url, "", "events-form");
        });
        $("#deleteEvenet").click(function (e) {
            e.preventDefault();
            var url = "@Html.Raw(Url.Action("Delete", "SubDomain", new { subDomainCategory = ViewBag.SubDomain, clubDomain = ViewBag.ClubDomain, domain = ViewBag.Domain, categoryId = ViewBag.CategoryId }))";

            CallPopUp(url, "#mainPopUp", "DeleteNews");

        });

        //});

</script>
